import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-hotel-zone-services-add',
  templateUrl: './hotel-zone-services-add.component.html',
})
export class HotelZoneServicesAddComponent implements OnInit {
  constructor() {}

  ngOnInit(): void {}
  cities = [
    { id: 1, name: 'Select' },
    { id: 2, name: 'abc' },
    { id: 3, name: 'abc1' },
    { id: 4, name: 'abc2' },
  ];
  // selectedCity = this.cities[0].name;
  labelFloat;
  statusClass = 'not-active';

  check = false;
  fun1() {
    this.statusClass = 'active';
  }

  fun2(val) {
    if (val.target.value != '') {
      this.statusClass = 'active';
    }
    if (!this.check) {
      this.statusClass = 'non-active';
    }
  }

  fun3(val) {
    console.log(val.target.value);
    if (val.target.value == '') {
      this.check = false;
      this.statusClass = 'non-active';
    } else {
      this.statusClass = 'active';
    }
  }

  fun4(val) {
    if (val != '') {
      this.statusClass = 'active';
      this.check = true;
    }
  }

  setActiveClass() {}
}
